Bug 840603 - Post 'import manifest' subscriptions return row:NotFound
Post 'import manifest' subscriptions return row:NotFound
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
urgent Severity urgent
: rc
: 1.2
Assigned To: Katello Bug Bin
Og Maciel
:
Depends On:
Blocks: 840625
  Show dependency treegraph
 
Reported: 2012-07-16 12:55 EDT by Eric Sammons
Modified: 2013-02-21 14:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 840625 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:16:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
subscription row:NotFound error (36.09 KB, image/png)
2012-07-16 12:55 EDT, Eric Sammons
no flags Details

  None (edit)
Description Eric Sammons 2012-07-16 12:55:08 EDT
Created attachment 598498 [details]
subscription row:NotFound error

Description of problem:
When working with 'Import Manifest', the subscriptions pane (left pane) will start returning row:NotFound errors when a subscription is selected.

Version-Release number of selected component (if applicable):
katello-headpin-0.2.24-1


Steps to Reproduce:
1. Navigate to content tab
2. Select 'Import Manifest'
3. Enter your manifest
4. Click on Import
5. You are returned to the subscriptions view
6. select a subscription
  
Actual results:
Error
There was an error retrieving that row:Not Found

----- katello/production.log
[ERROR: 2012-07-16 12:49:16 #1685] Rendering 404: Route does not exist: subscriptions/8a8b661838903ec3013890a4a13e0033/new
[ERROR: 2012-07-16 12:49:25 #1691] Rendering 404: Route does not exist: subscriptions/8a8b661838903ec3013890a4a0220026/new

Expected results:
Subscription details to be displayed in the right pane
Comment 1 Eric Sammons 2012-08-09 14:10:07 EDT
This issue is not seen in the latest build of katello, katello-1.0.4.
Comment 2 Og Maciel 2012-10-09 17:55:44 EDT
Verified:

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 4 errata-xmlrpc 2013-02-21 14:16:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.